%define plugname vcscommand
%define plugver  beta28

Name: vim-plugin-%plugname
Version: %plugver
Release: alt1

Summary: CVS/SVN/SVK/git integration plugin
Group: Editors
License: Distributable
Url: %vim_script_url 90

Packager: VIm Plugins Development Team <vim-plugins@packages.altlinux.org>

BuildArch: noarch

Source: %plugname.zip
Patch: %name-beta28-alt-fixes.patch

PreReq: vim-common >= 4:7.0

BuildPreReq: vim-devel unzip

Obsoletes: vim-plugin-cvscommand
Provides: vim-plugin-cvscommand
Obsoletes: vim-plugin-svncommand
Provides: vim-plugin-svncommand

%description
VIM 7 plugin useful for manipulating files controlled by CVS, SVN, SVK
and git within VIM, including committing changes and performings diffs
using the vimdiff system.

To enable this plugin define "use_vcscommand" variable somewhere
in your .vimrc file.

%prep
%setup -c
%patch -p1

%install
mkdir -p %buildroot{%vim_doc_dir,%vim_syntax_dir,%vim_plugin_dir}
install -p -m644 doc/* %buildroot%vim_doc_dir/
install -p -m644 plugin/* %buildroot%vim_plugin_dir/
install -p -m644 syntax/* %buildroot%vim_syntax_dir/

%post
%update_vimhelp
%postun
%clean_vimhelp

%files
%vim_doc_dir/*
%vim_plugin_dir/*
%vim_syntax_dir/*

%changelog
* Wed Oct 08 2008 Andrey Rahmatullin <wrar@altlinux.ru> beta28-alt1
- beta28

* Mon Sep 01 2008 Andrey Rahmatullin <wrar@altlinux.ru> beta27-alt1
- beta27

* Sat Jul 19 2008 Andrey Rahmatullin <wrar@altlinux.ru> beta26-alt1
- beta26

* Tue Jun 03 2008 Andrey Rahmatullin <wrar@altlinux.ru> beta25-alt1
- beta25

* Tue May 27 2008 Andrey Rahmatullin <wrar@altlinux.ru> beta24-alt1
- beta24

* Sat May 03 2008 Andrey Rahmatullin <wrar@altlinux.ru> beta22-alt1
- initial build
